org.richfaces.component

## Enum UIDropTarget.Properties

- java.lang.Object
- - java.lang.Enum<UIDropTarget.Properties>
  - - org.richfaces.component.UIDropTarget.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIDropTarget.Properties>
  Enclosing class:
    UIDropTarget

      protected static enum UIDropTarget.Properties
      extends Enum<UIDropTarget.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `acceptedTypes`
    `bypassUpdates`
    `data`
    `dropListener`
    `dropValue`
    `execute`
    `immediate`
    `limitRender`
    `onbeforedomupdate`
    `onbegin`
    `oncomplete`
    `render`
    `resetValues`
    `status`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIDropTarget.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIDropTarget.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### acceptedTypes

          public static final UIDropTarget.Properties acceptedTypes

    - #### bypassUpdates

          public static final UIDropTarget.Properties bypassUpdates

    - #### data

          public static final UIDropTarget.Properties data

    - #### dropListener

          public static final UIDropTarget.Properties dropListener

    - #### dropValue

          public static final UIDropTarget.Properties dropValue

    - #### execute

          public static final UIDropTarget.Properties execute

    - #### immediate

          public static final UIDropTarget.Properties immediate

    - #### limitRender

          public static final UIDropTarget.Properties limitRender

    - #### onbeforedomupdate

          public static final UIDropTarget.Properties onbeforedomupdate

    - #### onbegin

          public static final UIDropTarget.Properties onbegin

    - #### oncomplete

          public static final UIDropTarget.Properties oncomplete

    - #### render

          public static final UIDropTarget.Properties render

    - #### resetValues

          public static final UIDropTarget.Properties resetValues

    - #### status

          public static final UIDropTarget.Properties status

  - ### Method Detail

    - #### values

          public static UIDropTarget.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIDropTarget.Properties c : UIDropTarget.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIDropTarget.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.